<?php


	/**
 	 Plugin Name: SP Gravity Forms WPDB Connect
	 Plugin URI: http://specialpress.de/plugins/spgfwpdb
	 Description: Connect Gravity Forms to the WPDB MYSQL Database
	 Version: 3.8.0
	 Date: 2023/03/08
	 Author: Ralf Fuhrmann
	 Author URI: http://naranili.de
	 */

	
	
	/**
	 * Changes
	 * -------
	 * - updated to Wordpress 6.1
	 * - updated to Gravityforms 2.7.x
	 * - updated handling for type CHAR. If the value will be greater than the field-len the value will be cutted
	 * - updated handling for type FLOAT. The field value will be converted to a number
	 */
	 
	 
	
	/**
	 * To Do
	 * -----
	 *
	 * function to cache the table and field information
	 * uninstall function to delete all saved values and feeds
	 *
	 */
	 
	
	

    error_reporting( E_ERROR );
	
	
	/**
	 * check if GF is active and include common classes
	 */

	if ( class_exists( 'GFForms' ) ) {


		GFAddOn::register( 'SpGfWpdbConnect' );	

		GFForms::include_feed_addon_framework();

		/**
		 * check and maybe load the plugin classes
		 */
		if( !class_exists( 'SpGfWpdbConnect' ) ) 
			require_once( 'class.gravityforms_wpdb-connect.php' );
	

	}


?>